Subject: Re: bug#44205: [PATCH] Add new function seq-remove-item

From: Stefan Kangas <[email-masked]>
Date: Thu, 12 Nov 2020 19:07:52 -0500

"Basil L. Contovounesios" <[email-masked]> writes:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>> Stefan Kangas <[email-masked]> writes:
>>
>>> I found myself reaching for a version of `seq-remove' where I don't have
>>> to supply a lambda but can just give an item.  Ergo, the attached.
>>>
>>>     (seq-remove-item 2 '(1 2 3))  => (1 3)
>>>
>>> I find it a whole lot nicer than:
>>>
>>>     (seq-remove (lambda (a) (= a 2)) '(1 2 3))  => (1 3)
>>
>> Isn't this just
>>
>> (remove 2 '(1 2 3)) => (1 3)
>>
>> though?  I don't think seq.el needs to replicate the basic list
>> functions...
>
> I think the idea is that seq.el functions are generic and can thus be
> extended to work with e.g. streams[1].

That was the idea, yes.

It is fairly minor even in my use, so I have no qualms with just closing
this as wontfix if people think it's not worthwhile enough to add.